#ifndef _OracleAuth_Header
#define _OracleAuth_Header
#define	VERSION			"2.0f"
#define CMD_MAX_ARGS	100
enum {
	I_LOGLEVEL, I_DEBUG, I_DOMAIN,
	I_ORACLE_USER, I_ORACLE_PASS, I_ORACLE_DB, I_ORACLE_TABLE,
	I_FIELD_USER, I_FIELD_PASS, I_FIELD_DOMAIN, I_FIELD_TRANSLATE,
	I_USE_SHA, I_USE_SHA_OLD, I_APPEND_DOMAIN,
	_I_END_
};

void emsg(char *message, ...);
void imsg(char *message, ...);
void dmsg(char *message, ...);
/* Version history */
/*
[2.0a][10-Oct-2001] - First write.
[2.0b][23-Jan-2002] - Fixed search. max and from implemented incorrectly.
[2.0c][16-May-2002] - Added ssha encryption to passwords "use_sha true" set by default.
[2.0d][14-Jan-2004] - Added s_strlwr and s_stricmp for unix builds.
                      Added defines to Makefile and config.i
[2.0e][21-Jan-2004] - Added field_domain () and append_domain (true) settings.
[2.0f][17-Sep-2004] - 'debug true' now implemented.
*/
#endif
